/*
 * Copyright (c) 2008-2016 Haulmont.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package com.haulmont.cuba.core.sys.remoting;

/**
 * Information about remote invocation client.
 *
 */
public class RemoteClientInfo {

    private String host;
    private Integer port;
    private String address;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    private static final ThreadLocal<RemoteClientInfo> clientInfo = new ThreadLocal<>();

    public static RemoteClientInfo get() {
        return clientInfo.get();
    }

    public static void set(RemoteClientInfo info) {
        clientInfo.set(info);
    }

    public static void clear() {
        clientInfo.set(null);
    }
}