/*
 * Copyright (c) 2008-2017 Haulmont.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.haulmont.cuba.gui.icons;

/**
 * Default icon set. It includes almost full FontAwesome icon set and CUBA-specific icons.
 */
public enum CubaIcon implements Icons.Icon {
    OK("font-icon:CHECK"),
    CANCEL("font-icon:BAN"),
    YES("font-icon:CHECK"),
    NO("font-icon:BAN"),
    CLOSE("font-icon:CLOSE"),

    DIALOG_OK("font-icon:CHECK"),
    DIALOG_CANCEL("font-icon:BAN"),
    DIALOG_YES("font-icon:CHECK"),
    DIALOG_NO("font-icon:BAN"),
    DIALOG_CLOSE(""),

    CREATE_ACTION("font-icon:FILE_O"),
    EDIT_ACTION("font-icon:PENCIL"),
    REMOVE_ACTION("font-icon:TIMES"),
    REFRESH_ACTION("font-icon:REFRESH"),
    ADD_ACTION("font-icon:FILE_O"),
    EXCLUDE_ACTION("font-icon:TIMES"),
    EXCEL_ACTION("font-icon:FILE_EXCEL_O"),
    UNLOCK_ACTION("font-icon:UNLOCK"),
    BULK_EDIT_ACTION("font-icon:TABLE"),

    PICKERFIELD_CLEAR("font-icon:TIMES"),
    PICKERFIELD_CLEAR_READONLY("font-icon:TIMES"),
    PICKERFIELD_LOOKUP("font-icon:ELLIPSIS_H"),
    PICKERFIELD_LOOKUP_READONLY("font-icon:ELLIPSIS_H"),
    PICKERFIELD_OPEN("font-icon:SEARCH"),
    PICKERFIELD_OPEN_READONLY("font-icon:SEARCH"),

    LOOKUP_OK("font-icon:CHECK"),
    LOOKUP_CANCEL("font-icon:BAN"),
    EDITOR_OK("font-icon:CHECK"),
    EDITOR_CANCEL("font-icon:BAN"),

    ADJUST("font-icon:ADJUST"),
    ALIGN_CENTER("font-icon:ALIGN_CENTER"),
    ALIGN_JUSTIFY("font-icon:ALIGN_JUSTIFY"),
    ALIGN_LEFT("font-icon:ALIGN_LEFT"),
    ALIGN_RIGHT("font-icon:ALIGN_RIGHT"),
    AMBULANCE("font-icon:AMBULANCE"),
    ANCHOR("font-icon:ANCHOR"),
    ANDROID("font-icon:ANDROID"),
    ANGLE_DOUBLE_DOWN("font-icon:ANGLE_DOUBLE_DOWN"),
    ANGLE_DOUBLE_LEFT("font-icon:ANGLE_DOUBLE_LEFT"),
    ANGLE_DOUBLE_RIGHT("font-icon:ANGLE_DOUBLE_RIGHT"),
    ANGLE_DOUBLE_UP("font-icon:ANGLE_DOUBLE_UP"),
    ANGLE_DOWN("font-icon:ANGLE_DOWN"),
    ANGLE_LEFT("font-icon:ANGLE_LEFT"),
    ANGLE_RIGHT("font-icon:ANGLE_RIGHT"),
    ANGLE_UP("font-icon:ANGLE_UP"),
    ARCHIVE("font-icon:ARCHIVE"),
    AREA_CHART("font-icon:AREA_CHART"),
    ARROW_CIRCLE_DOWN("font-icon:ARROW_CIRCLE_DOWN"),
    ARROW_CIRCLE_LEFT("font-icon:ARROW_CIRCLE_LEFT"),
    ARROW_CIRCLE_O_DOWN("font-icon:ARROW_CIRCLE_O_DOWN"),
    ARROW_CIRCLE_O_LEFT("font-icon:ARROW_CIRCLE_O_LEFT"),
    ARROW_CIRCLE_O_RIGHT("font-icon:ARROW_CIRCLE_O_RIGHT"),
    ARROW_CIRCLE_O_UP("font-icon:ARROW_CIRCLE_O_UP"),
    ARROW_CIRCLE_RIGHT("font-icon:ARROW_CIRCLE_RIGHT"),
    ARROW_CIRCLE_UP("font-icon:ARROW_CIRCLE_UP"),
    ARROW_DOWN("font-icon:ARROW_DOWN"),
    ARROW_LEFT("font-icon:ARROW_LEFT"),
    ARROW_RIGHT("font-icon:ARROW_RIGHT"),
    ARROW_UP("font-icon:ARROW_UP"),
    ARROWS("font-icon:ARROWS"),
    ARROWS_ALT("font-icon:ARROWS_ALT"),
    ARROWS_H("font-icon:ARROWS_H"),
    ARROWS_V("font-icon:ARROWS_V"),
    ASTERISK("font-icon:ASTERISK"),
    AT("font-icon:AT"),
    AUTOMOBILE("font-icon:AUTOMOBILE"),
    BACKWARD("font-icon:BACKWARD"),
    BALANCE_SCALE("font-icon:BALANCE_SCALE"),
    BAN("font-icon:BAN"),
    BANK("font-icon:BANK"),
    BAR_CHART("font-icon:BAR_CHART"),
    BAR_CHART_O("font-icon:BAR_CHART_O"),
    BARCODE("font-icon:BARCODE"),
    BARS("font-icon:BARS"),
    BATTERY_0("font-icon:BATTERY_0"),
    BATTERY_1("font-icon:BATTERY_1"),
    BATTERY_2("font-icon:BATTERY_2"),
    BATTERY_3("font-icon:BATTERY_3"),
    BATTERY_4("font-icon:BATTERY_4"),
    BATTERY_EMPTY("font-icon:BATTERY_EMPTY"),
    BATTERY_FULL("font-icon:BATTERY_FULL"),
    BATTERY_HALF("font-icon:BATTERY_HALF"),
    BATTERY_QUARTER("font-icon:BATTERY_QUARTER"),
    BATTERY_THREE_QUARTERS("font-icon:BATTERY_THREE_QUARTERS"),
    BED("font-icon:BED"),
    BEER("font-icon:BEER"),
    BELL("font-icon:BELL"),
    BELL_O("font-icon:BELL_O"),
    BELL_SLASH("font-icon:BELL_SLASH"),
    BELL_SLASH_O("font-icon:BELL_SLASH_O"),
    BINOCULARS("font-icon:BINOCULARS"),
    BIRTHDAY_CAKE("font-icon:BIRTHDAY_CAKE"),
    BITCOIN("font-icon:BITCOIN"),
    BLACK_TIE("font-icon:BLACK_TIE"),
    BLUETOOTH("font-icon:BLUETOOTH"),
    BLUETOOTH_B("font-icon:BLUETOOTH_B"),
    BOLD("font-icon:BOLD"),
    BOLT("font-icon:BOLT"),
    BOMB("font-icon:BOMB"),
    BOOK("font-icon:BOOK"),
    BOOKMARK("font-icon:BOOKMARK"),
    BOOKMARK_O("font-icon:BOOKMARK_O"),
    BRIEFCASE("font-icon:BRIEFCASE"),
    BTC("font-icon:BTC"),
    BUG("font-icon:BUG"),
    BUILDING("font-icon:BUILDING"),
    BUILDING_O("font-icon:BUILDING_O"),
    BULLHORN("font-icon:BULLHORN"),
    BULLSEYE("font-icon:BULLSEYE"),
    CAB("font-icon:CAB"),
    CALCULATOR("font-icon:CALCULATOR"),
    CALENDAR("font-icon:CALENDAR"),
    CALENDAR_CHECK_O("font-icon:CALENDAR_CHECK_O"),
    CALENDAR_MINUS_O("font-icon:CALENDAR_MINUS_O"),
    CALENDAR_O("font-icon:CALENDAR_O"),
    CALENDAR_PLUS_O("font-icon:CALENDAR_PLUS_O"),
    CALENDAR_TIMES_O("font-icon:CALENDAR_TIMES_O"),
    CAMERA("font-icon:CAMERA"),
    CAMERA_RETRO("font-icon:CAMERA_RETRO"),
    CAR("font-icon:CAR"),
    CARET_DOWN("font-icon:CARET_DOWN"),
    CARET_LEFT("font-icon:CARET_LEFT"),
    CARET_RIGHT("font-icon:CARET_RIGHT"),
    CARET_SQUARE_O_DOWN("font-icon:CARET_SQUARE_O_DOWN"),
    CARET_SQUARE_O_LEFT("font-icon:CARET_SQUARE_O_LEFT"),
    CARET_SQUARE_O_RIGHT("font-icon:CARET_SQUARE_O_RIGHT"),
    CARET_SQUARE_O_UP("font-icon:CARET_SQUARE_O_UP"),
    CARET_UP("font-icon:CARET_UP"),
    CART_ARROW_DOWN("font-icon:CART_ARROW_DOWN"),
    CART_PLUS("font-icon:CART_PLUS"),
    CC("font-icon:CC"),
    CC_AMEX("font-icon:CC_AMEX"),
    CC_DINERS_CLUB("font-icon:CC_DINERS_CLUB"),
    CC_DISCOVER("font-icon:CC_DISCOVER"),
    CC_JCB("font-icon:CC_JCB"),
    CC_MASTERCARD("font-icon:CC_MASTERCARD"),
    CC_PAYPAL("font-icon:CC_PAYPAL"),
    CC_STRIPE("font-icon:CC_STRIPE"),
    CC_VISA("font-icon:CC_VISA"),
    CERTIFICATE("font-icon:CERTIFICATE"),
    CHAIN("font-icon:CHAIN"),
    CHAIN_BROKEN("font-icon:CHAIN_BROKEN"),
    CHECK("font-icon:CHECK"),
    CHECK_CIRCLE("font-icon:CHECK_CIRCLE"),
    CHECK_CIRCLE_O("font-icon:CHECK_CIRCLE_O"),
    CHECK_SQUARE("font-icon:CHECK_SQUARE"),
    CHECK_SQUARE_O("font-icon:CHECK_SQUARE_O"),
    CHEVRON_CIRCLE_DOWN("font-icon:CHEVRON_CIRCLE_DOWN"),
    CHEVRON_CIRCLE_LEFT("font-icon:CHEVRON_CIRCLE_LEFT"),
    CHEVRON_CIRCLE_RIGHT("font-icon:CHEVRON_CIRCLE_RIGHT"),
    CHEVRON_CIRCLE_UP("font-icon:CHEVRON_CIRCLE_UP"),
    CHEVRON_DOWN("font-icon:CHEVRON_DOWN"),
    CHEVRON_LEFT("font-icon:CHEVRON_LEFT"),
    CHEVRON_RIGHT("font-icon:CHEVRON_RIGHT"),
    CHEVRON_UP("font-icon:CHEVRON_UP"),
    CHILD("font-icon:CHILD"),
    CLIPBOARD("font-icon:CLIPBOARD"),
    CLOCK_O("font-icon:CLOCK_O"),
    CLONE("font-icon:CLONE"),
    CLOUD("font-icon:CLOUD"),
    CLOUD_DOWNLOAD("font-icon:CLOUD_DOWNLOAD"),
    CLOUD_UPLOAD("font-icon:CLOUD_UPLOAD"),
    CNY("font-icon:CNY"),
    CODE("font-icon:CODE"),
    CODE_FORK("font-icon:CODE_FORK"),
    COFFEE("font-icon:COFFEE"),
    COG("font-icon:COG"),
    COGS("font-icon:COGS"),
    COLUMNS("font-icon:COLUMNS"),
    COMMENT("font-icon:COMMENT"),
    COMMENT_O("font-icon:COMMENT_O"),
    COMMENTING("font-icon:COMMENTING"),
    COMMENTING_O("font-icon:COMMENTING_O"),
    COMMENTS("font-icon:COMMENTS"),
    COMMENTS_O("font-icon:COMMENTS_O"),
    COMPASS("font-icon:COMPASS"),
    COMPRESS("font-icon:COMPRESS"),
    COPY("font-icon:COPY"),
    CREDIT_CARD("font-icon:CREDIT_CARD"),
    CREDIT_CARD_ALT("font-icon:CREDIT_CARD_ALT"),
    CROP("font-icon:CROP"),
    CROSSHAIRS("font-icon:CROSSHAIRS"),
    CUT("font-icon:CUT"),
    CUTLERY("font-icon:CUTLERY"),
    DASHBOARD("font-icon:DASHBOARD"),
    DATABASE("font-icon:DATABASE"),
    DEDENT("font-icon:DEDENT"),
    DESKTOP("font-icon:DESKTOP"),
    DIAMOND("font-icon:DIAMOND"),
    DOLLAR("font-icon:DOLLAR"),
    DOWNLOAD("font-icon:DOWNLOAD"),
    DRIBBBLE("font-icon:DRIBBBLE"),
    EDIT("font-icon:EDIT"),
    EJECT("font-icon:EJECT"),
    ELLIPSIS_H("font-icon:ELLIPSIS_H"),
    ELLIPSIS_V("font-icon:ELLIPSIS_V"),
    ENVELOPE("font-icon:ENVELOPE"),
    ENVELOPE_O("font-icon:ENVELOPE_O"),
    ENVELOPE_SQUARE("font-icon:ENVELOPE_SQUARE"),
    ERASER("font-icon:ERASER"),
    EUR("font-icon:EUR"),
    EURO("font-icon:EURO"),
    EXCHANGE("font-icon:EXCHANGE"),
    EXCLAMATION("font-icon:EXCLAMATION"),
    EXCLAMATION_CIRCLE("font-icon:EXCLAMATION_CIRCLE"),
    EXCLAMATION_TRIANGLE("font-icon:EXCLAMATION_TRIANGLE"),
    EXPAND("font-icon:EXPAND"),
    EXPEDITEDSSL("font-icon:EXPEDITEDSSL"),
    EXTERNAL_LINK("font-icon:EXTERNAL_LINK"),
    EXTERNAL_LINK_SQUARE("font-icon:EXTERNAL_LINK_SQUARE"),
    EYE("font-icon:EYE"),
    EYE_SLASH("font-icon:EYE_SLASH"),
    EYEDROPPER("font-icon:EYEDROPPER"),
    FACEBOOK("font-icon:FACEBOOK"),
    FACEBOOK_F("font-icon:FACEBOOK_F"),
    FACEBOOK_OFFICIAL("font-icon:FACEBOOK_OFFICIAL"),
    FACEBOOK_SQUARE("font-icon:FACEBOOK_SQUARE"),
    FAST_BACKWARD("font-icon:FAST_BACKWARD"),
    FAST_FORWARD("font-icon:FAST_FORWARD"),
    FAX("font-icon:FAX"),
    FEED("font-icon:FEED"),
    FEMALE("font-icon:FEMALE"),
    FILE("font-icon:FILE"),
    FILE_ARCHIVE_O("font-icon:FILE_ARCHIVE_O"),
    FILE_AUDIO_O("font-icon:FILE_AUDIO_O"),
    FILE_CODE_O("font-icon:FILE_CODE_O"),
    FILE_EXCEL_O("font-icon:FILE_EXCEL_O"),
    FILE_IMAGE_O("font-icon:FILE_IMAGE_O"),
    FILE_MOVIE_O("font-icon:FILE_MOVIE_O"),
    FILE_O("font-icon:FILE_O"),
    FILE_PDF_O("font-icon:FILE_PDF_O"),
    FILE_PHOTO_O("font-icon:FILE_PHOTO_O"),
    FILE_PICTURE_O("font-icon:FILE_PICTURE_O"),
    FILE_POWERPOINT_O("font-icon:FILE_POWERPOINT_O"),
    FILE_SOUND_O("font-icon:FILE_SOUND_O"),
    FILE_TEXT("font-icon:FILE_TEXT"),
    FILE_TEXT_O("font-icon:FILE_TEXT_O"),
    FILE_VIDEO_O("font-icon:FILE_VIDEO_O"),
    FILE_WORD_O("font-icon:FILE_WORD_O"),
    FILE_ZIP_O("font-icon:FILE_ZIP_O"),
    FILES_O("font-icon:FILES_O"),
    FILM("font-icon:FILM"),
    FILTER("font-icon:FILTER"),
    FIRE("font-icon:FIRE"),
    FLAG("font-icon:FLAG"),
    FLAG_CHECKERED("font-icon:FLAG_CHECKERED"),
    FLAG_O("font-icon:FLAG_O"),
    FLASH("font-icon:FLASH"),
    FLASK("font-icon:FLASK"),
    FLICKR("font-icon:FLICKR"),
    FLOPPY_O("font-icon:FLOPPY_O"),
    FOLDER("font-icon:FOLDER"),
    FOLDER_O("font-icon:FOLDER_O"),
    FOLDER_OPEN("font-icon:FOLDER_OPEN"),
    FOLDER_OPEN_O("font-icon:FOLDER_OPEN_O"),
    FONT("font-icon:FONT"),
    FORWARD("font-icon:FORWARD"),
    FROWN_O("font-icon:FROWN_O"),
    FUTBOL_O("font-icon:FUTBOL_O"),
    GAMEPAD("font-icon:GAMEPAD"),
    GAVEL("font-icon:GAVEL"),
    GBP("font-icon:GBP"),
    GEAR("font-icon:GEAR"),
    GEARS("font-icon:GEARS"),
    GIFT("font-icon:GIFT"),
    GLASS("font-icon:GLASS"),
    GLOBE("font-icon:GLOBE"),
    GRADUATION_CAP("font-icon:GRADUATION_CAP"),
    GROUP("font-icon:GROUP"),
    HAND_O_DOWN("font-icon:HAND_O_DOWN"),
    HAND_O_LEFT("font-icon:HAND_O_LEFT"),
    HAND_O_RIGHT("font-icon:HAND_O_RIGHT"),
    HAND_O_UP("font-icon:HAND_O_UP"),
    HAND_POINTER_O("font-icon:HAND_POINTER_O"),
    HAND_STOP_O("font-icon:HAND_STOP_O"),
    HDD_O("font-icon:HDD_O"),
    HEADER("font-icon:HEADER"),
    HEADPHONES("font-icon:HEADPHONES"),
    HEART("font-icon:HEART"),
    HEART_O("font-icon:HEART_O"),
    HISTORY("font-icon:HISTORY"),
    HOME("font-icon:HOME"),
    HOSPITAL_O("font-icon:HOSPITAL_O"),
    HOTEL("font-icon:HOTEL"),
    HOURGLASS("font-icon:HOURGLASS"),
    HOURGLASS_1("font-icon:HOURGLASS_1"),
    HOURGLASS_2("font-icon:HOURGLASS_2"),
    HOURGLASS_3("font-icon:HOURGLASS_3"),
    HOURGLASS_END("font-icon:HOURGLASS_END"),
    HOURGLASS_HALF("font-icon:HOURGLASS_HALF"),
    HOURGLASS_O("font-icon:HOURGLASS_O"),
    HOURGLASS_START("font-icon:HOURGLASS_START"),
    I_CURSOR("font-icon:I_CURSOR"),
    IMAGE("font-icon:IMAGE"),
    INBOX("font-icon:INBOX"),
    INDENT("font-icon:INDENT"),
    INFO("font-icon:INFO"),
    INFO_CIRCLE("font-icon:INFO_CIRCLE"),
    INSTAGRAM("font-icon:INSTAGRAM"),
    INSTITUTION("font-icon:INSTITUTION"),
    ITALIC("font-icon:ITALIC"),
    JPY("font-icon:JPY"),
    KEY("font-icon:KEY"),
    KEYBOARD_O("font-icon:KEYBOARD_O"),
    LANGUAGE("font-icon:LANGUAGE"),
    LEAF("font-icon:LEAF"),
    LEANPUB("font-icon:LEANPUB"),
    LEGAL("font-icon:LEGAL"),
    LEVEL_DOWN("font-icon:LEVEL_DOWN"),
    LEVEL_UP("font-icon:LEVEL_UP"),
    LIFE_BOUY("font-icon:LIFE_BOUY"),
    LIFE_BUOY("font-icon:LIFE_BUOY"),
    LIFE_RING("font-icon:LIFE_RING"),
    LIFE_SAVER("font-icon:LIFE_SAVER"),
    LIGHTBULB_O("font-icon:LIGHTBULB_O"),
    LINE_CHART("font-icon:LINE_CHART"),
    LINK("font-icon:LINK"),
    LIST("font-icon:LIST"),
    LIST_ALT("font-icon:LIST_ALT"),
    LIST_OL("font-icon:LIST_OL"),
    LIST_UL("font-icon:LIST_UL"),
    LOCATION_ARROW("font-icon:LOCATION_ARROW"),
    LOCK("font-icon:LOCK"),
    LONG_ARROW_DOWN("font-icon:LONG_ARROW_DOWN"),
    LONG_ARROW_LEFT("font-icon:LONG_ARROW_LEFT"),
    LONG_ARROW_RIGHT("font-icon:LONG_ARROW_RIGHT"),
    LONG_ARROW_UP("font-icon:LONG_ARROW_UP"),
    MAGIC("font-icon:MAGIC"),
    MAGNET("font-icon:MAGNET"),
    MAIL_FORWARD("font-icon:MAIL_FORWARD"),
    MAIL_REPLY("font-icon:MAIL_REPLY"),
    MAIL_REPLY_ALL("font-icon:MAIL_REPLY_ALL"),
    MALE("font-icon:MALE"),
    MAP("font-icon:MAP"),
    MAP_MARKER("font-icon:MAP_MARKER"),
    MAP_O("font-icon:MAP_O"),
    MAP_PIN("font-icon:MAP_PIN"),
    MARS("font-icon:MARS"),
    MEDKIT("font-icon:MEDKIT"),
    MEH_O("font-icon:MEH_O"),
    MICROPHONE("font-icon:MICROPHONE"),
    MICROPHONE_SLASH("font-icon:MICROPHONE_SLASH"),
    MINUS("font-icon:MINUS"),
    MINUS_CIRCLE("font-icon:MINUS_CIRCLE"),
    MINUS_SQUARE("font-icon:MINUS_SQUARE"),
    MINUS_SQUARE_O("font-icon:MINUS_SQUARE_O"),
    MOBILE("font-icon:MOBILE"),
    MOBILE_PHONE("font-icon:MOBILE_PHONE"),
    MONEY("font-icon:MONEY"),
    MOON_O("font-icon:MOON_O"),
    MORTAR_BOARD("font-icon:MORTAR_BOARD"),
    MOUSE_POINTER("font-icon:MOUSE_POINTER"),
    MUSIC("font-icon:MUSIC"),
    NAVICON("font-icon:NAVICON"),
    NEWSPAPER_O("font-icon:NEWSPAPER_O"),
    OBJECT_GROUP("font-icon:OBJECT_GROUP"),
    OBJECT_UNGROUP("font-icon:OBJECT_UNGROUP"),
    OPENID("font-icon:OPENID"),
    OUTDENT("font-icon:OUTDENT"),
    PAINT_BRUSH("font-icon:PAINT_BRUSH"),
    PAPER_PLANE("font-icon:PAPER_PLANE"),
    PAPER_PLANE_O("font-icon:PAPER_PLANE_O"),
    PAPERCLIP("font-icon:PAPERCLIP"),
    PARAGRAPH("font-icon:PARAGRAPH"),
    PASTE("font-icon:PASTE"),
    PAUSE("font-icon:PAUSE"),
    PAUSE_CIRCLE("font-icon:PAUSE_CIRCLE"),
    PAUSE_CIRCLE_O("font-icon:PAUSE_CIRCLE_O"),
    PAW("font-icon:PAW"),
    PENCIL("font-icon:PENCIL"),
    PENCIL_SQUARE("font-icon:PENCIL_SQUARE"),
    PENCIL_SQUARE_O("font-icon:PENCIL_SQUARE_O"),
    PERCENT("font-icon:PERCENT"),
    PHONE("font-icon:PHONE"),
    PHONE_SQUARE("font-icon:PHONE_SQUARE"),
    PHOTO("font-icon:PHOTO"),
    PICTURE_O("font-icon:PICTURE_O"),
    PIE_CHART("font-icon:PIE_CHART"),
    PLANE("font-icon:PLANE"),
    PLAY("font-icon:PLAY"),
    PLAY_CIRCLE("font-icon:PLAY_CIRCLE"),
    PLAY_CIRCLE_O("font-icon:PLAY_CIRCLE_O"),
    PLUG("font-icon:PLUG"),
    PLUS("font-icon:PLUS"),
    PLUS_CIRCLE("font-icon:PLUS_CIRCLE"),
    PLUS_SQUARE("font-icon:PLUS_SQUARE"),
    PLUS_SQUARE_O("font-icon:PLUS_SQUARE_O"),
    POWER_OFF("font-icon:POWER_OFF"),
    PRINT("font-icon:PRINT"),
    PUZZLE_PIECE("font-icon:PUZZLE_PIECE"),
    QRCODE("font-icon:QRCODE"),
    QUESTION("font-icon:QUESTION"),
    QUESTION_CIRCLE("font-icon:QUESTION_CIRCLE"),
    QUOTE_LEFT("font-icon:QUOTE_LEFT"),
    QUOTE_RIGHT("font-icon:QUOTE_RIGHT"),
    RANDOM("font-icon:RANDOM"),
    RECYCLE("font-icon:RECYCLE"),
    REFRESH("font-icon:REFRESH"),
    REMOVE("font-icon:REMOVE"),
    REORDER("font-icon:REORDER"),
    REPEAT("font-icon:REPEAT"),
    REPLY("font-icon:REPLY"),
    REPLY_ALL("font-icon:REPLY_ALL"),
    RETWEET("font-icon:RETWEET"),
    RMB("font-icon:RMB"),
    ROAD("font-icon:ROAD"),
    ROCKET("font-icon:ROCKET"),
    ROTATE_LEFT("font-icon:ROTATE_LEFT"),
    ROTATE_RIGHT("font-icon:ROTATE_RIGHT"),
    ROUBLE("font-icon:ROUBLE"),
    RSS("font-icon:RSS"),
    RSS_SQUARE("font-icon:RSS_SQUARE"),
    RUB("font-icon:RUB"),
    RUBLE("font-icon:RUBLE"),
    SAVE("font-icon:SAVE"),
    SCISSORS("font-icon:SCISSORS"),
    SEARCH("font-icon:SEARCH"),
    SEARCH_MINUS("font-icon:SEARCH_MINUS"),
    SEARCH_PLUS("font-icon:SEARCH_PLUS"),
    SEND("font-icon:SEND"),
    SEND_O("font-icon:SEND_O"),
    SERVER("font-icon:SERVER"),
    SHARE("font-icon:SHARE"),
    SHARE_ALT("font-icon:SHARE_ALT"),
    SHARE_ALT_SQUARE("font-icon:SHARE_ALT_SQUARE"),
    SHARE_SQUARE("font-icon:SHARE_SQUARE"),
    SHARE_SQUARE_O("font-icon:SHARE_SQUARE_O"),
    SHIELD("font-icon:SHIELD"),
    SHOPPING_BAG("font-icon:SHOPPING_BAG"),
    SHOPPING_BASKET("font-icon:SHOPPING_BASKET"),
    SHOPPING_CART("font-icon:SHOPPING_CART"),
    SIGN_IN("font-icon:SIGN_IN"),
    SIGN_OUT("font-icon:SIGN_OUT"),
    SIGNAL("font-icon:SIGNAL"),
    SITEMAP("font-icon:SITEMAP"),
    SLIDERS("font-icon:SLIDERS"),
    SLIDESHARE("font-icon:SLIDESHARE"),
    SMILE_O("font-icon:SMILE_O"),
    SOCCER_BALL_O("font-icon:SOCCER_BALL_O"),
    SORT("font-icon:SORT"),
    SORT_ALPHA_ASC("font-icon:SORT_ALPHA_ASC"),
    SORT_ALPHA_DESC("font-icon:SORT_ALPHA_DESC"),
    SORT_AMOUNT_ASC("font-icon:SORT_AMOUNT_ASC"),
    SORT_AMOUNT_DESC("font-icon:SORT_AMOUNT_DESC"),
    SORT_ASC("font-icon:SORT_ASC"),
    SORT_DESC("font-icon:SORT_DESC"),
    SORT_DOWN("font-icon:SORT_DOWN"),
    SORT_NUMERIC_ASC("font-icon:SORT_NUMERIC_ASC"),
    SORT_NUMERIC_DESC("font-icon:SORT_NUMERIC_DESC"),
    SORT_UP("font-icon:SORT_UP"),
    SPACE_SHUTTLE("font-icon:SPACE_SHUTTLE"),
    SPOON("font-icon:SPOON"),
    SQUARE("font-icon:SQUARE"),
    SQUARE_O("font-icon:SQUARE_O"),
    STAR("font-icon:STAR"),
    STAR_HALF("font-icon:STAR_HALF"),
    STAR_HALF_EMPTY("font-icon:STAR_HALF_EMPTY"),
    STAR_HALF_FULL("font-icon:STAR_HALF_FULL"),
    STAR_HALF_O("font-icon:STAR_HALF_O"),
    STAR_O("font-icon:STAR_O"),
    STEP_BACKWARD("font-icon:STEP_BACKWARD"),
    STEP_FORWARD("font-icon:STEP_FORWARD"),
    STICKY_NOTE("font-icon:STICKY_NOTE"),
    STICKY_NOTE_O("font-icon:STICKY_NOTE_O"),
    STOP("font-icon:STOP"),
    STRIKETHROUGH("font-icon:STRIKETHROUGH"),
    SUBSCRIPT("font-icon:SUBSCRIPT"),
    SUBWAY("font-icon:SUBWAY"),
    SUITCASE("font-icon:SUITCASE"),
    SUN_O("font-icon:SUN_O"),
    SUPERSCRIPT("font-icon:SUPERSCRIPT"),
    SUPPORT("font-icon:SUPPORT"),
    TABLE("font-icon:TABLE"),
    TABLET("font-icon:TABLET"),
    TACHOMETER("font-icon:TACHOMETER"),
    TAG("font-icon:TAG"),
    TAGS("font-icon:TAGS"),
    TAXI("font-icon:TAXI"),
    TELEVISION("font-icon:TELEVISION"),
    TERMINAL("font-icon:TERMINAL"),
    TEXT_HEIGHT("font-icon:TEXT_HEIGHT"),
    TEXT_WIDTH("font-icon:TEXT_WIDTH"),
    TH("font-icon:TH"),
    TH_LARGE("font-icon:TH_LARGE"),
    TH_LIST("font-icon:TH_LIST"),
    THUMB_TACK("font-icon:THUMB_TACK"),
    THUMBS_DOWN("font-icon:THUMBS_DOWN"),
    THUMBS_O_DOWN("font-icon:THUMBS_O_DOWN"),
    THUMBS_O_UP("font-icon:THUMBS_O_UP"),
    THUMBS_UP("font-icon:THUMBS_UP"),
    TICKET("font-icon:TICKET"),
    TIMES("font-icon:TIMES"),
    TIMES_CIRCLE("font-icon:TIMES_CIRCLE"),
    TIMES_CIRCLE_O("font-icon:TIMES_CIRCLE_O"),
    TINT("font-icon:TINT"),
    TOGGLE_DOWN("font-icon:TOGGLE_DOWN"),
    TOGGLE_LEFT("font-icon:TOGGLE_LEFT"),
    TOGGLE_OFF("font-icon:TOGGLE_OFF"),
    TOGGLE_ON("font-icon:TOGGLE_ON"),
    TOGGLE_RIGHT("font-icon:TOGGLE_RIGHT"),
    TOGGLE_UP("font-icon:TOGGLE_UP"),
    TRAIN("font-icon:TRAIN"),
    TRASH("font-icon:TRASH"),
    TRASH_O("font-icon:TRASH_O"),
    TREE("font-icon:TREE"),
    TROPHY("font-icon:TROPHY"),
    TRUCK("font-icon:TRUCK"),
    TV("font-icon:TV"),
    TWITTER("font-icon:TWITTER"),
    TWITTER_SQUARE("font-icon:TWITTER_SQUARE"),
    UMBRELLA("font-icon:UMBRELLA"),
    UNDERLINE("font-icon:UNDERLINE"),
    UNDO("font-icon:UNDO"),
    UNIVERSITY("font-icon:UNIVERSITY"),
    UNLINK("font-icon:UNLINK"),
    UNLOCK("font-icon:UNLOCK"),
    UNLOCK_ALT("font-icon:UNLOCK_ALT"),
    UNSORTED("font-icon:UNSORTED"),
    UPLOAD("font-icon:UPLOAD"),
    USB("font-icon:USB"),
    USD("font-icon:USD"),
    USER("font-icon:USER"),
    USER_PLUS("font-icon:USER_PLUS"),
    USER_SECRET("font-icon:USER_SECRET"),
    USER_TIMES("font-icon:USER_TIMES"),
    USERS("font-icon:USERS"),
    VENUS("font-icon:VENUS"),
    VIDEO_CAMERA("font-icon:VIDEO_CAMERA"),
    VOLUME_DOWN("font-icon:VOLUME_DOWN"),
    VOLUME_OFF("font-icon:VOLUME_OFF"),
    VOLUME_UP("font-icon:VOLUME_UP"),
    WARNING("font-icon:WARNING"),
    WIFI("font-icon:WIFI"),
    WRENCH("font-icon:WRENCH"),
    YEN("font-icon:YEN"),
    YOUTUBE("font-icon:YOUTUBE"),
    YOUTUBE_PLAY("font-icon:YOUTUBE_PLAY"),
    YOUTUBE_SQUARE("font-icon:YOUTUBE_SQUARE");

    protected String source;

    CubaIcon(String source) {
        this.source = source;
    }

    @Override
    public String source() {
        return source;
    }
}
