/*
 * Copyright (c) 2008-2017 Haulmont.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.haulmont.restapi.idp;

import com.haulmont.cuba.core.sys.ConditionalOnAppProperty;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

@ConditionalOnAppProperty(property = "cuba.rest.idp.enabled", value = "true")
@RestController
@RequestMapping("/v2/idp/idpc")
public class IdpLogoutCallbackController {

    @RequestMapping(value = "logout", method = RequestMethod.POST)
    public void logout(@RequestParam(name = "idpSessionId") String idpSessionId,
                       @RequestParam(name = "trustedServicePassword") String trustedServicePassword,
                       HttpServletResponse response) {
        // synchronous logout of REST API client is not supported yet
    }
}